[pkg] add dependency on six

authorJulien Cristau <julien.cristau@logilab.fr>
changesetea2a8ccadc28
branchdefault
phasedraft
hiddenyes
parent revision#d4de0f2a807f [diff] open schema file in text mode
child revision#c1f3bd1b6a38 wip py3k
files modified by this revision
__pkginfo__.py
debian/control
python-yams.spec
# HG changeset patch
# User Julien Cristau <julien.cristau@logilab.fr>
# Date 1411373604 -7200
# Mon Sep 22 10:13:24 2014 +0200
# Node ID ea2a8ccadc289b931c1c1fcc757d39efd2b6c087
# Parent d4de0f2a807fd51edb0bb41113094e8dc1299c77
[pkg] add dependency on six

diff --git a/__pkginfo__.py b/__pkginfo__.py
@@ -59,6 +59,7 @@
1  scripts = ['bin/yams-check', 'bin/yams-view']
2 
3  install_requires = [
4      'logilab-common >= 0.55.2',
5      'logilab-database >= 1.11',
6 +    'six >= 1.4.0',
7      ]
diff --git a/debian/control b/debian/control
@@ -10,11 +10,15 @@
8  Standards-Version: 3.8.0
9  XS-Python-Version: >= 2.6
10 
11  Package: python-yams
12  Architecture: all
13 -Depends: ${python:Depends}, python-logilab-common (>= 0.55.2), python-logilab-database (>= 1.11)
14 +Depends:
15 + ${python:Depends},
16 + python-logilab-common (>= 0.55.2),
17 + python-logilab-database (>= 1.11),
18 + python-six (>= 1.4.0),
19  Breaks: cubicweb-common (<< 3.18)
20  Conflicts: python-yams (<= 0.5.2)
21  XB-Python-Version: ${python:Versions}
22  Description: entity / relation schema
23   Yet Another Magic Schema !
diff --git a/python-yams.spec b/python-yams.spec
@@ -18,10 +18,11 @@
24  BuildArch:      noarch
25  Vendor:         Logilab <contact@logilab.fr>
26  Url:            http://www.logilab.org/project/yams
27 
28  Requires:       %{python}, %{python}-logilab-common >= 0.55.2, %{python}-logilab-database >= 1.11
29 +Requires:       %{python}-six >= 1.4.0
30  BuildRequires:  %{python}
31 
32 
33  %description
34  Yet Another Magic Schema ! A simple/generic but powerful entities / relations